# Uses of Class
it.tdlight.jni.TdApi.ChatFolder

## Uses of TdApi.ChatFolder in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatFolder
Modifier and Type
Field
Description
`TdApi.ChatFolder`
TdApi.CreateChatFolder.`folder`
The new chat folder.
`TdApi.ChatFolder`
TdApi.EditChatFolder.`folder`
The edited chat folder.
`TdApi.ChatFolder`
TdApi.GetChatFolderChatCount.`folder`
The new chat folder.
`TdApi.ChatFolder`
TdApi.GetChatFolderDefaultIconName.`folder`
Chat folder.
`TdApi.ChatFolder`
TdApi.RecommendedChatFolder.`folder`
The chat folder.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatFolder
Modifier
Constructor
Description
``
`CreateChatFolder(TdApi.ChatFolder folder)`
Creates new chat folder.
``
`EditChatFolder(int chatFolderId, TdApi.ChatFolder folder)`
Edits existing chat folder.
``
`GetChatFolderChatCount(TdApi.ChatFolder folder)`
Returns approximate number of chats in a being created chat folder.
``
`GetChatFolderDefaultIconName(TdApi.ChatFolder folder)`
Returns default icon name for a folder.
``
`RecommendedChatFolder(TdApi.ChatFolder folder, String description)`
Describes a recommended chat folder.